/*
================================================================================
    PROJECT:

        Eddy C++ Utilities Project

    CONTENTS:

        Contains common configuration code.

    NOTES:



    PROGRAMMERS:

        John Eddy (jpeddy@sandia.gov) (JE)

    ORGANIZATION:

        Sandia National Laboratories

    COPYRIGHT:

        See the LICENSE file in the top level JEGA directory.

    VERSION:

        1.0.0

    CHANGES:

        Thu Feb 02 09:32:21 2005 - Original Version (JE)

================================================================================
*/




/*
================================================================================
Document This File
================================================================================
*/
/** \file
 * \brief Contains common configuration code.
 *
 * This includes some platform and compiler specific configuration.
 */




/*
================================================================================
Prevent Multiple Inclusions
================================================================================
*/
#ifndef EDDY_UTILITIES_CONFIG_HPP
#define EDDY_UTILITIES_CONFIG_HPP







/*
================================================================================
Includes
================================================================================
*/
#include "../../threads/include/config.hpp"





/*
================================================================================
Begin Namespace
================================================================================
*/
namespace eddy {
    namespace utilities {




/*
================================================================================
End Namespace
================================================================================
*/

    } // namespace utilities
} // namespace eddy







/*
================================================================================
Include Inlined Functions File
================================================================================
*/
// Not using an Inlined Functions File.



/*
================================================================================
End of Multiple Inclusion Check
================================================================================
*/
#endif // EDDY_UTILITIES_CONFIG_HPP
